Bug 113995 - gdm ja translation of password and shutdown missing
gdm ja translation of password and shutdown missing
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Mike McLean
Depends On: 114986
  Show dependency treegraph
Reported: 2004-01-20 21:10 EST by Jens Petersen
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-02-02 14:50:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2004-01-20 21:10:15 EST
Description of problem:
On the gdm login screen in Japanese, the word
"Password" that appears when the user is prompted
for her/his password, and the word "Shutdown"
which appears in the gdm "panel" at the bottom
are not translated into Japanese, ie they appear
untranslated in English.

Version-Release number of selected component (if applicable):

Additional info:
This problem also occurred in FC1.
Comment 1 Sarah Wang 2004-01-22 18:16:00 EST
Anyone know which package contains the translation? Is it redhat-artwork?

Comment 2 David Joo 2004-01-22 18:26:23 EST
Sarah, it is in 

[bluedot@style bluedot]$ rpm -qf 

However, since it is in the form of;
msgid "Shut _down..."

You may not be able to find it with "shutdown" string search.
Comment 3 David Joo 2004-01-22 18:35:23 EST
Also after a search...

It is translated..

msgid "Shut _down..."
msgstr "停止(_d)..."
Comment 4 Jens Petersen 2004-01-22 22:04:39 EST
No, the string that needs translation is "Shut_down"
not "Shut _Down".  Also "Password: " needs to be changed
to "Password:".
Comment 5 Noriko Mizumoto 2004-01-27 21:47:54 EST
I have checked FC1 gdm and confirmed that the strings, "Password:",
"Shutdown (in the panel)" and "Incorrect username or password. Letters
must be typed in the correct case." are remained in English.

But seeing usr/share/local/ja/LC_MESSAGES/gdm.po, there are
translations for the above strings.
It seems that something prevents these translations to be displayed in
Comment 6 Jens Petersen 2004-01-27 22:42:08 EST
Noriko, as I said the strings have changed. If you look in gdm-2.4.pot,
you will see:

"Shut _Down"  is now  "Shut_down",
"Password: "  is now  "Password:" and

"Incorrect username or password.  Letters must be typed in the correct
case.  "
"Please be sure the Caps Lock key is not enabled"
              is now separated and changed to
"Incorrect username or password.  Letters must be typed in the correct


"Please make sure the Caps Lock key is not enabled."

[Please copy the strings from gdm-2.4.pot since bugzilla will
 probably change the linebreaks and spacing here.]
Comment 7 Noriko Mizumoto 2004-01-29 23:55:04 EST
gnome-2.4 seems already been frozen.
They are working on 2.6 now.
Thus it is not possible to touch frozen file.
The changes made has been reflected in 2.6 po file.

please see here; 
Comment 8 Leon Ho 2004-01-30 00:18:32 EST
Look like the ja.po in the upstream cvs is okay, but our package one
is not. Should we ask our pkg maintainer to update the po files thru
upstream cvs?
Comment 9 Jens Petersen 2004-01-30 03:38:21 EST

Our gdm srpm carries and uses an old obsolete ja.po file. :-(

[I'm not sure why that update wasn't done as a patch - 
 presumably because of coding worries?]
Comment 10 Akira TAGOH 2004-01-30 07:46:59 EST
because of patching to the po file is horrible. it's always updated
when the new one is released. and we almost need rework to apply the
Comment 11 Jens Petersen 2004-02-02 02:13:02 EST
Unfortunately the original intended changes:

  s/msgstr "%a %b %d, %H:%M"/msgstr "%m/%d (%a) %H:%M"/


  s/msgstr "%a %b %d, %I:%M %p"/msgstr "%m/%d (%a) %p %I:%M"/

haven't gone upstream yet...  In the mean time I would suggest to
either make the change with sed/perl or to drop it until it goes
Comment 12 Warren Togami 2004-02-02 14:50:08 EST
You should see this in rawhide soon.
Comment 13 Jens Petersen 2004-02-06 05:58:53 EST
Thank you, confirmed fixed in both FC Devel and Fc1 Testing.

Note You need to log in before you can comment on or make changes to this bug.